## Ignite UI for React FDC3 Data Adapter - from Infragistics

[Ignite UI for React](https://www.infragistics.com/products/ignite-ui-react) includes a wide range of easy to use React UI components that have been designed and optimized for high-performance, high-volume data scenarios. Ignite UI for React is designed to enable developers to build the most modern, high-performance HTML5 & JavaScript apps for modern desktop browsers, mobile experiences and progressive web apps (PWA’s) targeting the React framework.

This package provides the FDC3 Data Adapter that generates financial data for received [FDC3 intents](https://fdc3.finos.org/docs/1.0/intents-intro) as well as sending messages to other FDC3-enabled apps using [OpenFin FDC3 service](https://developers.openfin.co/docs/fdc3). This data adapter can be used with [Ignite UI for React Charts](https://www.npmjs.com/package/igniteui-react-charts) and [Ignite UI for React Grids](https://www.npmjs.com/package/igniteui-react-grids).

#### [**View running samples here**](https://www.infragistics.com/resources/sample-applications/react-stock-chart-app)

## NPM Package

You can include Ignite UI for React FDC3 Data Adapter in your project using this `npm` command:

`npm install --save igniteui-react-fdc3 igniteui-react-core`

## License
This is a commercial product, requiring a valid paid-for license for use. This license details can by found [here](http://www.infragistics.com/legal/ultimate/license/)

To acquire a license for usage, please register for a trial and acquire a license at [Infragistics.com](https://www.infragistics.com).

© Copyright 2023 Infragistics. All Rights Reserved. The Infragistics Ultimate license & copyright applies to this distribution. For information on that license, please go to our website [here](https://www.infragistics.com/legal/license).
